Sorry for format, using webmail.
I've seen this before on my system. For me it was a permission problem; I had changed directories due to disk limitations and started getting these attachments like you. Probably for you it is something else. I was able to figure out what was going on with the anomy_log and these settings:
feat_log_stderr = 1
feat_log_inline = 0
Regards,
P
________________________________
From: 132428@xyz.molar.is [mailto:132428@xyz.molar.is]
Sent: Fri 7/30/2004 8:02 AM
To: 132475@xyz.molar.is
Subject: [anomy-list]: anomy + f-prot => unnamed.txt
We are using anomy and f-prot scanmail.pl.
==========================================================
INSPECT_DIR=/var/spool/filter
SENDMAIL="/usr/lib/sendmail -i"
ANOMY=/usr/local/anomy
SANITIZER=/usr/local/anomy/bin/sanitizer.pl
ANOMY_CONF=/usr/local/anomy/anomy.conf
ANOMY_LOG=/var/log/anomy
SPAMASSASSIN=/usr/bin/spamassassin
FPROT="/usr/local/f-prot/tools/scan-mail.pl -quarantine"
export ANOMY
# Exit codes from <sysexits.h>
EX_TEMPFAIL=75
EX_UNAVAILABLE=69
cd $INSPECT_DIR || { echo $INSPECT_DIR does not exist; exit $EX_TEMPFAIL; }
# Clean up when done or when aborting.
trap "rm -f out.$$" 0 1 2 3 15
cat | $FPROT | $SPAMASSASSIN -x | $SANITIZER \
$ANOMY_CONF 2>>$ANOMY_LOG > out.$$ || \
{ echo Message content rejected; exit $EX_UNAVAILABLE; }
$SENDMAIL "$@" < out.$$
exit $?
======================================================================
We simply pipe everything, this works fine for a while.
But then suddenly all mails are "packed".
The whole content of the mail ends up in an attached file.
The file is called unnamed.txt.
The recipient still gets the mail, but the body of the mail is empty and
everything is in the attachment.
That's rather nasty.
If anybody knows an answer I would really appreciate that.
Thanks in advance.
Joachim
Attachments:
+ http://mailtools.anomy.net/archives/anomy-list//81/24/10e7616/01.unnamed.html